v1.0.0
OpenAPI 3.1.0

Look up an ESP-suppressed address

US region

Client Libraries

Look up an ESP-suppressed address

​

Look up an email address to learn if, and why, it was suppressed by the email service provider (ESP).

Customer.io checks the address against the bounces and spam reports on all of your sending domains. If it finds a match, the response includes the category and the suppression details. If the address isn't suppressed, suppressions is null and the response has no category.

Path Parameters
  • email_address
    Type: string
    required

    The email address of the person you want to look up.

Responses
  • application/json
  • application/json
Request Example for get/v1/esp/search_suppression/{email_address}
curl 'https://api.customer.io/v1/esp/search_suppression/{email_address}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "category": "bounces",
  "suppressions": [
    {
      "created": 1650895738,
      "email": "bounced.person@example.com",
      "reason": "Uploaded manually via api.customer.io",
      "status": "550"
    }
  ]
}